[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TUDChangingEvent

Specifies an event handler signalled prior to changing the value in a TUpDown control.

## Declaration

Source position: comctrls.pp line 1917

`type TUDChangingEvent = procedure(`
`Sender: TObject;`
`var AllowChange: Boolean`
`) of object;`

## Arguments

`Sender` |  | Object (TCustomUpDown) for the event.
`AllowChange` |  | Indicates whether the value change can be applied to the TUpdown control. Return False to prevent the change to the control value.

## Description

TUDChangingEvent allows an application to control whether a pending change to the value in TUpDown can be applied to the control. Set the AllowChange argument to False in the handler routine to prevent the change from being applied to the control.

TUDChangingEvent is the type used to implement the OnChanging property in TUpDown.

Use TUDChangingEventEx and OnChangingEx for the event which includes the new value for the control and the direction in which the value will be changed.

## See also

TCustomUpDown.OnChanging |  | Event handler signalled prior to changing the value in the Position property.
TCustomUpDown.OnChangingEx |  | Event handler signalled to determine if the control can change the value in the Position property.
TUpDown.OnChanging |  | Event handler signalled prior to changing the value in the Position property.
TUpDown.OnChangingEx |  | Event handler signalled to determine if the control can change the value in the Position property.
TUDChangingEventEx |  | Specifies an event handler signalled prior to changing the value in a TUpDown control.